if not vFlag then
	function Actor:CenterX()
		self:x(SCREEN_CENTER_X);
	end;
	function Actor:CenterY()
		self:y(SCREEN_CENTER_Y);
	end;
	Screen = {};
	if ScreenMetric then Screen.Metric = ScreenMetric; end;
	if ScreenString then Screen.String = ScreenString; end;
end;

-- ☓
--function WideScale(AR4_3, AR16_10) return scale( SCREEN_WIDTH, 640, 960, AR4_3, AR16_10 ); end
-- ◯
function WideScale(AR4_3, AR16_9) return scale( SCREEN_WIDTH, 640, 854, AR4_3, AR16_9 ); end

function LoadStepsDisplayGameplayFrame(self,player)
	local difficultyStates = {
		Difficulty_Beginner	 = 0,
		Difficulty_Easy		 = 2,
		Difficulty_Medium	 = 4,
		Difficulty_Hard		 = 6,
		Difficulty_Challenge = 8,
		Difficulty_Edit		 = 10,
	};
	local selection;
	if GAMESTATE:IsCourseMode() then
		-- xxx: this should go with each song but then again stepmania sucks!
		selection = GAMESTATE:GetCurrentTrail(player);
	else
		selection = GAMESTATE:GetCurrentSteps(player);
	end;
	local state = difficultyStates[selection:GetDifficulty()] or 10;
	if player == PLAYER_2 then state = state + 1; end;
	return state;
end;

-- tiles
function GetTileCoordX()
	local AspectRatios = {
		  FourThree = 4,
		 SixteenTen = 6,
		SixteenNine = 7,
	};
	-- this function by shakesoda:
	local function GetAspect()
		return math.floor(PREFSMAN:GetPreference("DisplayAspectRatio") * 10) / 10;
	end;
	local squareCoord = 4;
	-- 16/9
	if GetAspect() >= 1.7 then squareCoord = AspectRatios.SixteenNine;
	-- 16/10
	elseif GetAspect() == 1.6 then squareCoord = AspectRatios.SixteenTen;
	-- 4/3
	else squareCoord = AspectRatios.FourThree;
	end;
	return squareCoord;
end;

function GetTileCoordY()
	local AspectRatios = {
		  FourThree = 3,
		 SixteenTen = 3.75,
		SixteenNine = 3.95,
	};
	-- this function by shakesoda:
	local function GetAspect()
		return math.floor(PREFSMAN:GetPreference("DisplayAspectRatio") * 10) / 10;
	end;
	local squareCoord = 4;
	-- 16/9
	if GetAspect() >= 1.7 then squareCoord = AspectRatios.SixteenNine;
	-- 16/10
	elseif GetAspect() == 1.6 then squareCoord = AspectRatios.SixteenTen;
	-- 4/3
	else squareCoord = AspectRatios.FourThree;
	end;
	return squareCoord;
end;